/* Les Sureaux - +P plusproduit Sàrl
  v1 2023.11.13
*/

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@700&display=swap');

:root {
    --text: #444;
    --primary: #00406A;
    --chap1: #9DA022;
    --chap2: #DC366B;
    --chap3: #2DAB66;
    --chap4: #284D8B;
    --chap5: #E05836;
    --chap6: #6B3877;
}

html {
    font-size: 19px;
}

@media (max-width: 768px) {
    html {
        font-size: 15px;
    }
}

body {
    font-family: Helvetica, Arial, sans-serif;
    color: var(--text);
    margin: 0;
    line-height: 1.4;
}

.container {
    max-width: 1280px;
    margin: 0 auto;
    padding: 5vh 1rem;
    flex-grow: 1;
    position: relative;
}

.row {
    display: flex;
    flex-wrap: wrap;
}


/* #region Typo */

h1,
h2 {
    text-transform: uppercase;
    letter-spacing: -0.03em;
}

h1 {
    font-size: 4.5rem;
    margin: 0;
    line-height: 1;
}

h2 {
    font-size: 2.45rem;
    margin-top: 0;
    line-height: 1.3;
}

h4 {
    text-transform: uppercase;
    font-size: .7rem;
    color: #999;
    margin-top: 2em;
    margin-bottom: .5em;
    letter-spacing: .15em;
}

.lead {
    font-size: 1.5rem;
    line-height: 1.1;
}

a {
    color: var(--primary);
}

body a:hover {
    color: var(--text);
}

/* #endregion */


/* #region Intro */

.intro {
    color: var(--primary);
    min-height: 100vh;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.intro-bg {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 120vh;
    background: url('img/intro.jpg') center center;
    background-size: cover;
}

.intro h1,
.intro h2 {
    color: #fff;
    text-align: right;
}

.intro h2 {
    max-width: 600px;
    margin-left: auto;
}

.bg-text {
    background: #ffffffdd;
    padding: 1px 1.1rem 1rem;
    max-width: 600px;
}

/* #endregion */


/* #region Chapitres */

.chap {
    padding: 10vh 0;
    position: relative;
}

.chap-num {
    font-size: 10rem;
    font-family: Inter, sans-serif;
    font-weight: bold;
    line-height: 0;
    margin-bottom: 5rem;
}

.chap h2 {
    line-height: 1;
    overflow: hidden;
}

.chap h2 span {
    display: inline-block;
    background-color: #fff;
    text-shadow: 3px 0 0 #fff, -3px 0 0 #fff;
    padding: 0 .1em;
    margin-bottom: .3em;
    /* -webkit-text-stroke: .1em #fff;
    paint-order: stroke fill; */
}

.chap-title {
    width: 100%;
    background: url('img/chap1-01.jpg') no-repeat center center;
    background-size: cover;
    padding-bottom: 4rem;
    margin-top: 4rem;
    min-height: 400px;
}

.chap-text {
    width: 100%;
    padding-top: .5rem;
    border-top: 15px solid var(--primary);
    font-weight: bold;
}


.chap .perso {
    position: absolute;
    right: 3%;
    bottom: 0;
    width: 200px;
    height: 200px;
    background: url('img/chap1-perso1.svg') no-repeat center center;
    background-size: contain;
}

@media (min-width: 980px) {

    .chap:nth-child(odd) .row {
        flex-direction: row-reverse;
    }

    .chap:nth-child(odd) .perso {
        right: auto;
        left: 33%;
    }

    .chap-title,
    .chap-text {
        width: 50%;
        box-sizing: border-box;
    }

    .chap-text {
        margin-top: 4rem;
        padding-top: 1.5rem;
        padding-left: 1rem;
        padding-right: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .chap .perso {
        width: 240px;
        height: 240px;
    }

}


.chap1 .text-color,
.chap1 a {
    color: var(--chap1);
}

.chap1 .chap-title {
    background-image: url('img/chap1-01.jpg');
}

.chap1 .border-color {
    border-color: var(--chap1);
}

.chap1-bg,
.chap1 .bg-color,
.chap1 .dl {
    background-color: var(--chap1) !important;
}

.chap1 .perso {
    background-image: url('img/chap1-perso1.svg');
}

.chap2 .text-color,
.chap2 a {
    color: var(--chap2);
}

.chap2 .chap-title {
    background-image: url('img/chap2-01.jpg');
}

.chap2 .border-color {
    border-color: var(--chap2);
}

.chap2-bg,
.chap2 .bg-color,
.chap2 .dl {
    background-color: var(--chap2) !important;
}

.chap2 .perso {
    background-image: url('img/chap2-perso1.svg');
}

.chap3 .text-color,
.chap3 a {
    color: var(--chap3);
}

.chap3 .chap-title {
    background-image: url('img/chap3-01.jpg');
}

.chap3 .border-color {
    border-color: var(--chap3);
}

.chap3-bg,
.chap3 .bg-color,
.chap3 .dl {
    background-color: var(--chap3) !important;
}

.chap3 .perso {
    background-image: url('img/chap3-perso1.svg');
}

.chap4 .text-color,
.chap4 a {
    color: var(--chap4);
}

.chap4 .chap-title {
    background-image: url('img/chap4-01.jpg');
}

.chap4 .border-color {
    border-color: var(--chap4);
}

.chap4-bg,
.chap4 .bg-color,
.chap4 .dl {
    background-color: var(--chap4) !important;
}

.chap4 .perso {
    background-image: url('img/chap4-perso1.svg');
}

.chap5 .text-color,
.chap5 a {
    color: var(--chap5);
}

.chap5 .chap-title {
    background-image: url('img/chap5-01.jpg');
}

.chap5 .border-color {
    border-color: var(--chap5);
}

.chap5-bg,
.chap5 .bg-color,
.chap5 .dl {
    background-color: var(--chap5) !important;
}

.chap5 .perso {
    background-image: url('img/chap5-perso1.svg');
}

.chap6 .text-color,
.chap6 a {
    color: var(--chap6);
}

.chap6 .chap-title {
    background-image: url('img/chap6-01.jpg');
}

.chap6 .border-color {
    border-color: var(--chap6);
}

.chap6-bg,
.chap6 .bg-color,
.chap6 .dl {
    background-color: var(--chap6) !important;
}

.chap6 .perso {
    background-image: url('img/chap6-perso1.svg');
}

/* #endregion */

/* #region Documents */

.dl,
.chap .dl,
.media {
    display: inline-block;
    flex-grow: 1;
    margin: 0;
    background: url('img/dl.svg') no-repeat left 2px;
    background-size: 1.6em auto;
    text-decoration: none;
    width: 100%;
    max-width: 280px;
    min-height: 50px;
    line-height: 1.2;
    font-size: .8rem;
    font-weight: bold;
    box-sizing: border-box;

    background-position: .9rem .7rem;
    padding: .5rem 1rem .5rem 2.7rem;
    border-radius: 1rem;
    background-color: var(--primary);
    color: #fff;

    transition: background .7s;
}

.chap .dl {
    width: auto;
}

.media {
    background-color: var(--chap2);
    background-image: url('img/audio.svg');
    max-width: 330px;
}

.dl:hover {
    color: #fff;
    background-color: var(--text) !important;

    animation: bganim .5s infinite alternate linear;
}

@keyframes bganim {
    to {
        background-position-y: 1.2em;
    }
}

.dl span,
.media span {
    font-size: .8em;
    display: block;
    /* border-top: 2px solid; */
    padding-top: .1em;
    margin-top: .1em;
    font-weight: normal;
}

.dl-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-bottom: 3rem;
}

.dl-grid .dl {
    width: 47%;
}

@media (min-width: 768px) {
    .dl-grid .dl {
        width: 30%;
    }
}

/* #endregion */


/* #region Audio */

audio {
    width: 100%;
}

.media figcaption {
    margin-bottom: .5em;
}

/* #endregion */

/* #region Video */

.vid {
    background-color: var(--chap3);
    padding: 1rem;
    border-radius: 1rem;
    flex-grow: 1;
    width: 100%;
    max-width: 768px;
}

@media (min-width: 980px) {
    .vid {
        width: 45%;
    }
}

.vid iframe {
    aspect-ratio: 16/9;
    width: 100%;
    height: auto;
}

/* #endregion */


/* #region Footer */

.page-footer {
    background-color: var(--primary);
    color: #fff;
}

.page-footer a,
.page-footer a:hover {
    color: #fff;
}

.parts {
    display: flex;
    flex-wrap: wrap;
}

.parts>div {
    flex-grow: 1;
    margin-right: 20px;
}

.part {
    display: inline-block;
    overflow: hidden;
    width: 150px;
    height: 120px;
    background: url('img/codha.svg') no-repeat center center;
    background-size: contain;
    text-indent: -500px;
    margin: 0 3rem 2rem 0;
}

.fe {
    background-image: url('img/fe.svg');
}

.bfeh {
    background-image: url('img/bfeh.svg');
}

/* #endregion */